# Uses of Class
org.apache.lucene.codecs.PostingsFormat

Packages that use PostingsFormat
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.lucene100
Lucene 10.0 file format.
org.apache.lucene.codecs.lucene912
Lucene 9.12 file format.
org.apache.lucene.codecs.perfield
Postings format that can delegate to different formats per-field.

## Uses of PostingsFormat in org.apache.lucene.codecs

Fields in org.apache.lucene.codecs declared as PostingsFormat
Modifier and Type
Field
Description
`static final PostingsFormat[]`
PostingsFormat.`EMPTY`
Zero-length `PostingsFormat` array.
Methods in org.apache.lucene.codecs that return PostingsFormat
Modifier and Type
Method
Description
`static PostingsFormat`
PostingsFormat.`forName(String name)`
looks up a format by name
`abstract PostingsFormat`
Codec.`postingsFormat()`
Encodes/decodes postings
`PostingsFormat`
FilterCodec.`postingsFormat()`

## Uses of PostingsFormat in org.apache.lucene.codecs.lucene100

Methods in org.apache.lucene.codecs.lucene100 that return PostingsFormat
Modifier and Type
Method
Description
`PostingsFormat`
Lucene100Codec.`getPostingsFormatForField(String field)`
Returns the postings format that should be used for writing new segments of `field`.
`final PostingsFormat`
Lucene100Codec.`postingsFormat()`

## Uses of PostingsFormat in org.apache.lucene.codecs.lucene912

Subclasses of PostingsFormat in org.apache.lucene.codecs.lucene912
Modifier and Type
Class
Description
`final class`
`Lucene912PostingsFormat`
Lucene 9.12 postings format, which encodes postings in packed integer blocks for fast decode.

## Uses of PostingsFormat in org.apache.lucene.codecs.perfield

Subclasses of PostingsFormat in org.apache.lucene.codecs.perfield
Modifier and Type
Class
Description
`class`
`PerFieldPostingsFormat`
Enables per field postings support.
Methods in org.apache.lucene.codecs.perfield that return PostingsFormat
Modifier and Type
Method
Description
`abstract PostingsFormat`
PerFieldPostingsFormat.`getPostingsFormatForField(String field)`
Returns the postings format that should be used for writing new segments of `field`.